[@rxap/tree](../wiki/globals) / TreeApplyFilterParameter

# Interface: TreeApplyFilterParameter\<Form, Data\>

Defined in: [tree/src/lib/tree.data-source.ts:119](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L119)

## Type Parameters

• **Form** *extends* [`ISearchForm`](../wiki/Interface.ISearchForm) = [`ISearchForm`](../wiki/Interface.ISearchForm)

• **Data** *extends* `WithIdentifier` & `WithChildren` = `any`

## Properties

### filter

> **filter**: `Form`

Defined in: [tree/src/lib/tree.data-source.ts:121](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L121)

***

### scopeTypes?

> `optional` **scopeTypes**: `string`[]

Defined in: [tree/src/lib/tree.data-source.ts:122](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L122)

***

### tree

> **tree**: `Node`\<`Data`, `any`\>[]

Defined in: [tree/src/lib/tree.data-source.ts:120](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L120)
